Item Logo
Wms apiApi referenceOther query api

Rate Last Mile

Rate Last Mile API

Rate Last Mile API provides a quote for last-mile delivery services. This article introduces the general Rate Last Mile API for easily understanding and applying this API.

Introduction

Rate Last Mile API is used to calculate and return the estimated cost for delivering a shipment from the final distribution center to its end destination, typically the customer’s location. It ensures that the customer selects the most cost-effective solution for last-mile deliveries, enhancing overall logistics efficiency.

API Request

API: POST http://service.serviceapp.com/PayAndBillAPI/api/RateEngine/Unisco/lastmile Auth Header: Authorization: APIKey 45655B2AE0A5F38FB554D8960346D84F27E85E83EC23788A27A353CB86EBE10C Body Request:

Body Parameter

Sub Param

Required

Description

Note

UserID

-

Y

User ID

1072

Data


Y

Dimension Data



OriginZip

Y

From Zipcode

"90401"


DestZip

Y

To Zipcode

"94116"


Length

Y

Length

"20"


Width

Y

Width

"20"


Hight

Y

Height

"40"


Weight

Y

Weight

"120"

Example

Request

json curl --location --request POST 'http://service.serviceapp.com/PayAndBillAPItest/api/RateEngine/Unisco/lastmile' \ --header 'Content-Type: application/json' \ --header 'Authorization: APIKey 45655B2AE0A5F38FB554D8960346D84F27E85E83EC23788A27A353CB86EBE10C' \ --data-raw '{ "UserID":1072, "Data":{ "OriginZip":"90401", "DestZip":"94116", "Length":"20", "Width":"20", "Hight":"40", "Weight":"120" } }' ```

Response

json // Success return { "Result": [ { "name": "Last Mile Cost", "Price": "98.0000" }, { "name": "ROC", "Price": "40.0000" }, { "name": "WG", "Price": "85.0000" } ], "Page": null, "ErrorMsg": "", "ErrorSeverity": 0, "ErrorSource": "PayandBillLog", "Status": true }